package cn.iocoder.yudao.framework.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 通用状态枚举
 *
 * @author 芋道源码
 */
@Getter
@AllArgsConstructor
public enum NodeTypeEnum {
    ROUTE(1, "路径点位"),
    WARE(2, "库位点"),
    DEVICE(3, "设备点"),
    PARKING(4, "停车点"),
    CHANGE(5, "区域变更点"),
    WAIT(6, "等待点"),
    TEXT(7, "文字点");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 说明
     */
    private final String name;

}
