package cn.iocoder.yudao.module.mqtt.api.path;

import cn.iocoder.yudao.module.mqtt.api.path.dto.RelatedPathNode;
import cn.iocoder.yudao.module.mqtt.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.Valid;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "MQTT 服务 - 参数配置")
public interface PathPlanningApi {
    String PREFIX = ApiConstants.PREFIX + "/config";

    @PostMapping(PREFIX + "/synchronousPoint")
    @Operation(summary = "下发任务给车机")
    void synchronousPointToPP( @RequestBody RelatedPathNode relatedPathNode, @RequestParam("topic") String topic);
}
