package cn.iododer.yudao.module.mqtt.api.path;

import cn.iocoder.yudao.module.mqtt.api.path.PathPlanningApi;
import cn.iocoder.yudao.module.mqtt.api.path.dto.RelatedPathNode;
import cn.iododer.yudao.module.mqtt.util.MqttUtils;
import com.alibaba.fastjson.JSON;
import lombok.extern.slf4j.Slf4j;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
@Slf4j
public class PathPlanningApiImpl implements PathPlanningApi {

    @Autowired
    private MqttUtils mqttUtils;

    @Override
    public void synchronousPointToPP(RelatedPathNode relatedPathNode, String topic) {
        try {
            mqttUtils.pub(topic, JSON.toJSONString(relatedPathNode));
            log.info("同步给路径规划完成 :{}", topic);
        } catch (MqttException e) {
            log.info("同步点位信息给路径规划异常 :{}",e);
        }
    }
}
