package cn.iocoder.yudao.module.system.api.robot;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.robot.dto.RobotCompleteTaskDTO;
import cn.iocoder.yudao.module.system.api.robot.dto.RobotStatusDTO;
import cn.iocoder.yudao.module.system.api.robot.dto.RobotStatusDataDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 机器人点位上报")
public interface RobotStatusApi {
    String PREFIX = ApiConstants.PREFIX + "/task";

    @PostMapping(PREFIX + "/robotStatusUpdate")
    @Operation(summary = "机器人点位状态/异常/是否能做任务上报")
    void robotStatusUpdate(@RequestBody RobotStatusDTO robotStatusDataDTO);
}
