package cn.iocoder.yudao.module.system.controller.admin.config.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 通用配置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CommonConfigRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "22456")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "类型（1:参数配置）", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("类型（1:参数配置、2:充满电周期对应的冲电量、3:能做任务的最低电量）")
    private Integer configType;

    @Schema(description = "配置信息")
    @ExcelProperty("配置信息")
    private String configStr;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}