package cn.iocoder.yudao.module.system.controller.admin.path;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotInformationSaveReqVO;
import cn.iocoder.yudao.module.system.service.path.PathPlanningService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Tag(name = "管理后台 - 同步信息给路径规划")
@RestController
@RequestMapping("/system/path/planning")
@Validated
public class PathPlanningController {

    @Resource
    private PathPlanningService pathPlanningService;

    @PostMapping("/synchronousPoint")
    @Operation(summary = "同步全部的点位信息")
    @PreAuthorize("@ss.hasPermission('robot:information:synchronousPoint')")
    public CommonResult<String> synchronousPoint(@RequestBody PositionMapSaveReqVO positionMapSaveReqVO) {
        pathPlanningService.synchronousPoint(positionMapSaveReqVO);
        return success("同步完成");
    }

}
