package cn.iocoder.yudao.module.system.controller.admin.positionmap.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@Builder
public class PositionMapLineDTO {
    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28062")
    private Long id;

    @Schema(description = "地图id", example = "20863")
    private Long positionMapId;

    @Schema(description = "出发点id(点位子表id)", example = "20863")
    private Long startingPointId;

    @Schema(description = "结束点id(点位子表id)", example = "15890")
    private Long endPointId;

    @Schema(description = "行走方法 0.直线 1.上左曲线2.上右曲线3.下左曲线 4.下右曲线")
    private Integer method;

    @Schema(description = "方向 1.单向 2.双向", example = "15890")
    private Integer direction;

    @Schema(description = "正向限速(m/s)", example = "15890")
    private BigDecimal forwardSpeedLimit;

    @Schema(description = "反向限速(m/s)", example = "15890")
    private BigDecimal reverseSpeedLimit;

    @Schema(description = "开始控制点x轴")
    private String beginControlX;

    @Schema(description = "开始控制点y轴")
    private String beginControlY;

    @Schema(description = "结束控制点x轴")
    private String endControlX;

    @Schema(description = "结束控制点y轴")
    private String endControlY;

    @Schema(description = "膨胀区域前")
    private BigDecimal expansionZoneFront;

    @Schema(description = "膨胀区域后")
    private BigDecimal expansionZoneAfter;

    @Schema(description = "膨胀区域左")
    private BigDecimal expansionZoneLeft;

    @Schema(description = "膨胀区域右")
    private BigDecimal expansionZoneRight;

    @Schema(description = "车头朝向( 0:正向 1:反向)")
    private Integer toward;
}
