package cn.iocoder.yudao.module.system.controller.admin.positionmap.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 仓库点位地图连线 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PositionMapLineRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28062")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "地图id", example = "20863")
    @ExcelProperty("地图id")
    private Long positionMapId;

    @Schema(description = "出发点id(点位子表id)", example = "20863")
    @ExcelProperty("出发点id(点位子表id)")
    private Long startingPointId;

    @Schema(description = "结束点id(点位子表id)", example = "15890")
    @ExcelProperty("结束点id(点位子表id)")
    private Long endPointId;

    @Schema(description = "开始控制点x轴", example = "15890")
    @ExcelProperty("开始控制点x轴")
    private String beginControlX;

    @Schema(description = "开始控制点y轴", example = "15890")
    @ExcelProperty("开始控制点y轴")
    private String beginControlY;

    @Schema(description = "结束控制点x轴", example = "15890")
    @ExcelProperty("结束控制点x轴")
    private String endControlX;

    @Schema(description = "结束控制点y轴", example = "15890")
    @ExcelProperty("结束控制点y轴")
    private String endControlY;

    @Schema(description = "膨胀区域前", example = "15890")
    @ExcelProperty("膨胀区域前")
    private BigDecimal expansionZoneFront;

    @Schema(description = "膨胀区域后", example = "15890")
    @ExcelProperty("膨胀区域后")
    private BigDecimal expansionZoneAfter;

    @Schema(description = "膨胀区域左", example = "15890")
    @ExcelProperty("膨胀区域左")
    private BigDecimal expansionZoneLeft;

    @Schema(description = "膨胀区域右", example = "15890")
    @ExcelProperty("膨胀区域右")
    private BigDecimal expansionZoneRight;

    @Schema(description = "行走方法 0.直线 1.上左曲线2.上右曲线3.下左曲线 4.下右曲线")
    @ExcelProperty("行走方法 0.直线 1.上左曲线2.上右曲线3.下左曲线 4.下右曲线")
    private Integer method;

    @Schema(description = "方向 1.单向 2.双向", example = "15890")
    @ExcelProperty("方向 1.单向 2.双向")
    private Integer direction;

    @Schema(description = "正向限速(m/s)", example = "15890")
    @ExcelProperty("正向限速(m/s)")
    private BigDecimal forwardSpeedLimit;

    @Schema(description = "反向限速(m/s)", example = "15890")
    @ExcelProperty("反向限速(m/s)")
    private BigDecimal reverseSpeedLimit;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "车头朝向( 0:正向 1:反向)", example = "15890")
    @ExcelProperty("车头朝向( 0:正向 1:反向)")
    private Integer toward;

}
