package cn.iocoder.yudao.module.system.controller.admin.robot.chargelog;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 车辆充电记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RobotChargeLogPageReqVO extends PageParam {

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "开始充电电量")
    private Integer startElectricity;

    @Schema(description = "结束充电电量")
    private Integer endElectricity;

    @Schema(description = "充电模式(1:自动充电、2:机会充电、3:充满电、4:充电任务)")
    private Integer chargeModel;

    @Schema(description = "结束充电时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] endTime;

    @Schema(description = "device_information表的设备编号")
    private String deviceNo;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}