package cn.iocoder.yudao.module.system.controller.admin.robot.chargelog;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 车辆充电记录新增/修改 Request VO")
@Data
public class RobotChargeLogSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "6554")
    private Long id;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "开始充电电量")
    private Integer startElectricity;

    @Schema(description = "结束充电电量")
    private Integer endElectricity;

    @Schema(description = "充电模式(1:自动充电、2:机会充电、3:充满电、4:充电任务)")
    private Integer chargeModel;

    @Schema(description = "结束充电时间")
    private LocalDateTime endTime;

    @Schema(description = "device_information表的设备编号")
    private String deviceNo;

}