package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 机器人告警码值映射分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RobotWarnCodeMappingPageReqVO extends PageParam {

    @Schema(description = "告警等级 (1,2,3,4)")
    private Integer warnLevel;

    @Schema(description = "能不能继续做任务 (0:不能， 1:能)")
    private Integer doTask;

    @Schema(description = "告警编号")
    private String warnCode;

    @Schema(description = "告警信息")
    private String warnMsg;

    @Schema(description = "告警解决方法")
    private String warnSolve;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}