package cn.iocoder.yudao.module.system.dal.dataobject.positionmap;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

/**
 * 仓库点位地图子表 DO
 *
 * @author 芋道源码
 */
@TableName("ware_position_map_item")
@KeySequence("ware_position_map_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PositionMapItemDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 仓库点位地图表id
     */
    private Long positionMapId;
    /**
     * 库区id
     */
    private Long areaId;
    /**
     * 线库id
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long laneId;
    /**
     * 坐标x轴
     */
    private String locationX;
    /**
     * 坐标y轴
     */
    private String locationY;
    /**
     * 类型 1.路径点位 2.库位点 3.充电桩 4.停车点 5.区域变更点 6.等待点 --- 后续补充
     */
    private Integer type;
    /**
     * 对应各个类型的独有属性Json格式 例如（{库位长度:1,库位宽度:2,库位方向:单向}）
     */
    private String dataJson;

}
