package cn.iocoder.yudao.module.system.dal.dataobject.robot;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 车辆充电记录 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_charge_log")
@KeySequence("robot_charge_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotChargeLogDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * AGV编号
     */
    private String robotNo;
    /**
     * 开始充电电量
     */
    private Integer startElectricity;
    /**
     * 结束充电电量
     */
    private Integer endElectricity;
    /**
     * 结束充电时间
     */
    private LocalDateTime endTime;
    /**
     * device_information表的设备编号
     */
    private String deviceNo;

    /**
     * 充电模式(1:自动充电、2:机会充电、3:充满电、4:充电任务)
     */
    private Integer chargeModel;

}