package cn.iocoder.yudao.module.system.dal.dataobject.robot;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

/**
 * 车辆类型 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_model")
@KeySequence("robot_model_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotModelDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 车辆类型
     */
    private String robotModelNumber;
    /**
     * 偏移量
     */
    private String robotOffset;

    /**
     * 上传图片附件
     */
    private String url;

    /**
     * 是否自动充电（0:手动充电,1:自动充电）
     */
    private Integer chargeType;

}