package cn.iocoder.yudao.module.system.dal.dataobject.robot;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 机器人自动移库 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_task_auto_move")
@KeySequence("robot_task_auto_move_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotTaskAutoMoveDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 机器人任务主表id
     */
    private Long robotTaskId;
    /**
     * 机器人任务明细表id
     */
    private Long robotTaskDetailId;
    /**
     * 原库位编号
     */
    private String fromLocationNo;
    /**
     * 原库位id
     */
    private Long fromLocationId;
    /**
     * 搬去的目标库位编号
     */
    private String toLocationNo;
    /**
     * 搬去的目标库位id/停车点/充电点/移动终点
     */
    private Long toLocationId;
    /**
     * 取货线库id
     */
    private Long fromLaneId;
    /**
     * 放货线库id (目前设计不会用到此字段)
     */
    private Long toLaneId;
    /**
     * 任务状态(0:未开始、1：执行中、2：已完成、3：已取消、4：异常)
     */
    private Integer taskStatus;
    /**
     * 优先级
     */
    private Long priority;
    /**
     * AGV编号
     */
    private String robotNo;
    /**
     * 任务类型（1：自动移库、 ）
     */
    private Integer taskType;
    /**
     * 移动类型（1：去、 2：回）
     */
    private Integer moveType;
    /**
     * 开始时间
     */
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;
    /**
     * robot_task_auto_move表id，来回搬运需要记录上一次搬运的源库位
     */
    private Long taskAutoMoveId;

}