package cn.iocoder.yudao.module.system.dal.mysql.positionmap;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.mqtt.api.task.dto.Pose2ds;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapItemPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.positionmap.PositionMapItemDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 仓库点位地图子表 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface PositionMapItemMapper extends BaseMapperX<PositionMapItemDO> {

    default PageResult<PositionMapItemDO> selectPage(PositionMapItemPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<PositionMapItemDO>()
                .eqIfPresent(PositionMapItemDO::getPositionMapId, reqVO.getPositionMapId())
                .eqIfPresent(PositionMapItemDO::getLocationX, reqVO.getLocationX())
                .eqIfPresent(PositionMapItemDO::getLocationY, reqVO.getLocationY())
                .eqIfPresent(PositionMapItemDO::getType, reqVO.getType())
                .betweenIfPresent(PositionMapItemDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(PositionMapItemDO::getId));
    }

    /**
     * 根据库位id查询
     * @param locationId
     * @return
     */
    Pose2ds selectByLocationId(Long locationId);
}
