package cn.iocoder.yudao.module.system.service.config;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.config.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.config.CommonConfigDO;

/**
 * 通用配置 Service 接口
 *
 * @author 陈宾顺
 */
public interface CommonConfigService {

    /**
     * 创建通用配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createConfig(@Valid CommonConfigSaveReqVO createReqVO);

    /**
     * 更新通用配置
     *
     * @param updateReqVO 更新信息
     */
    void updateConfig(@Valid CommonConfigSaveReqVO updateReqVO);

    /**
     * 删除通用配置
     *
     * @param id 编号
     */
    void deleteConfig(Long id);

    /**
     * 获得通用配置
     *
     * @param id 编号
     * @return 通用配置
     */
    CommonConfigDO getConfig(Long configType);

    /**
     * 获得通用配置分页
     *
     * @param pageReqVO 分页查询
     * @return 通用配置分页
     */
    PageResult<CommonConfigDO> getConfigPage(CommonConfigPageReqVO pageReqVO);

}